/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AxisAnnotationFrame } from "./AxisAnnotationFrame";
import { List$1 } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { Size } from "igniteui-angular-core";
import { FontInfo } from "igniteui-angular-core";
import { Point_$type, Boolean_$type, Number_$type, String_$type, markType } from "igniteui-angular-core";
import { Frame } from "./Frame";
import { FrameExtended } from "./FrameExtended";
import { FontUtil } from "igniteui-angular-core";
/**
 * @hidden
 */
export let DataAnnotationShapeLayerFrame = /*@__PURE__*/ (() => {
    class DataAnnotationShapeLayerFrame extends AxisAnnotationFrame {
        constructor() {
            super();
            this.ag = null;
            this.ah = null;
            this.aj = null;
            this.ai = null;
            this.ak = null;
            this.ap = null;
            this.aq = null;
            this.au = null;
            this.an = null;
            this.as = null;
            this.ao = null;
            this.at = null;
            this.af = null;
            this.ar = null;
            this.am = null;
            this.al = null;
            this.a1 = null;
            this.a2 = null;
            this.ay = null;
            this.aw = null;
            this.a0 = null;
            this.az = null;
            this.ax = null;
            this.av = null;
            this.ay = new List$1(List$1.$.specialize(Point_$type), 0);
            this.aw = new List$1(Boolean_$type, 0);
            this.a0 = new List$1(Boolean_$type, 0);
            this.az = new List$1(Number_$type, 0);
            this.ax = new List$1(Brush.$, 0);
            this.av = new List$1(Brush.$, 0);
            this.a1 = new List$1(String_$type, 0);
            this.a2 = new List$1(String_$type, 0);
            this.am = new List$1(FontInfo.$, 0);
            this.ak = new List$1(Brush.$, 0);
            this.ag = new List$1(Brush.$, 0);
            this.ah = new List$1(Brush.$, 0);
            this.ai = new List$1(Number_$type, 0);
            this.aj = new List$1(Number_$type, 0);
            this.an = new List$1(Number_$type, 0);
            this.ao = new List$1(Number_$type, 0);
            this.at = new List$1(Number_$type, 0);
            this.as = new List$1(Number_$type, 0);
            this.af = new List$1(Number_$type, 0);
            this.au = new List$1(Boolean_$type, 0);
            this.ap = new List$1(Number_$type, 0);
            this.aq = new List$1(Number_$type, 0);
            this.al = new List$1(String_$type, 0);
            this.ar = new List$1(Size.$, 0);
        }
        a3() {
            this.ay.clear();
            this.aw.clear();
            this.a0.clear();
            this.av.clear();
            this.ax.clear();
            this.az.clear();
            this.a1.clear();
            this.a2.clear();
            this.ap.clear();
            this.aq.clear();
            this.ak.clear();
            this.ag.clear();
            this.ai.clear();
            this.ah.clear();
            this.aj.clear();
            this.an.clear();
            this.ao.clear();
            this.at.clear();
            this.as.clear();
            this.af.clear();
            this.au.clear();
            this.al.clear();
            this.ar.clear();
            this.am.clear();
            this.f.clear();
            this.r.clear();
            this.q.clear();
            this.ac.clear();
            this.p.clear();
            this.ab.clear();
            this.h.clear();
            this.g.clear();
            this.i.clear();
            this.k.clear();
            this.m.clear();
            this.l.clear();
            this.j.clear();
            this.n.clear();
            this.o.clear();
            this.t.clear();
            this.s.clear();
            this.u.clear();
            this.w.clear();
            this.y.clear();
            this.x.clear();
            this.v.clear();
            this.z.clear();
            this.aa.clear();
        }
        c(a, b, c) {
            super.c(a, b, c);
            let d = b;
            let e = c;
            Frame.b(this.az, a, d.az, e.az);
            FrameExtended.a(this.av, a, d.av, e.av, 0);
            FrameExtended.a(this.ax, a, d.ax, e.ax, 0);
            Frame.b(this.an, a, d.an, e.an);
            Frame.b(this.ao, a, d.ao, e.ao);
            Frame.b(this.at, a, d.at, e.at);
            Frame.b(this.as, a, d.as, e.as);
            Frame.b(this.af, a, d.af, e.af);
            Frame.b(this.ap, a, d.ap, e.ap);
            Frame.b(this.aq, a, d.aq, e.aq);
            Frame.b(this.aj, a, d.aj, e.aj);
            Frame.b(this.ai, a, d.ai, e.ai);
            FrameExtended.a(this.ak, a, d.ak, e.ak, 0);
            FrameExtended.a(this.ag, a, d.ag, e.ag, 0);
            FrameExtended.a(this.ah, a, d.ah, e.ah, 0);
            this.am = e.am;
        }
        ae(a, b, c) {
            let d = new FontInfo();
            FontUtil.interpolateFont(d, a, b, c);
            return d;
        }
    }
    DataAnnotationShapeLayerFrame.$t = markType(DataAnnotationShapeLayerFrame, 'DataAnnotationShapeLayerFrame', AxisAnnotationFrame.$);
    return DataAnnotationShapeLayerFrame;
})();
